// @ts-check

/** @type {import("prettier").Config} */
export default {
  useTabs: false,
  singleQuote: true,
  trailingComma: 'none',
  tabWidth: 2,
  printWidth: 120,
  plugins: ['prettier-plugin-astro', 'prettier-plugin-svelte'],
  overrides: [
    {
      files: '*.svelte',
      options: {
        parser: 'svelte'
      }
    },
    {
      files: '*.astro',
      options: {
        parser: 'astro'
      }
    }
  ]
};
